<?php

namespace Bav\Validator\De;

use Bav\Bank\Bank;

/**
 * Test class for SystemB6.
 * Generated by PHPUnit on 2012-07-05 at 19:22:55.
 */
class SystemB6Test extends SystemTestCase
{
    
    public function testWithValidAccountReturnsTrue()
    {
        $bankId = '80053782';
        $validAccounts = array('9110000000', '0269876545', '487310018');

        foreach ($validAccounts as $account) {
            $validator = new SystemB6($bankId);
            $this->assertTrue($validator->isValid($account));
        }
    }

    public function testWithInvalidAccountReturnsFalse()
    {
        $bankId = '80053782';
        $invalidAccounts = array('9111000000', '0269456780');

        foreach ($invalidAccounts as $account) {
            $validator = new SystemB6($bankId);
            $this->assertFalse($validator->isValid($account));
        }
        
        $bankId = '80053762';
        $validator = new SystemB6($bankId);
        $this->assertFalse($validator->isValid('467310018'));
    }
}
